EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • Algorithms
                    • Models
                      • Artifacts and export
                        • Billing and usage
                          • Team and governance
                            • Account and notifications
                              • Webhook endpoints
                                • GET
                                  List webhook endpoints for a project
                                • POST
                                  Create a webhook endpoint
                                • DELETE
                                  Delete a webhook endpoint
                                • GET
                                  Get a webhook endpoint
                                • PATCH
                                  Update a webhook endpoint
                                • GET
                                  List deliveries for a webhook endpoint
                                • GET
                                  Get a delivery
                                • POST
                                  Create a replay
                                • POST
                                  Create a ping
                                • POST
                                  Create a secret rotation
                                • GET
                                  List webhook endpoints
                                • POST
                                  Create a webhook endpoint
                                • DELETE
                                  Delete a webhook endpoint
                                • GET
                                  Get a webhook endpoint
                                • PATCH
                                  Update a webhook endpoint
                                • GET
                                  List deliveries for a webhook endpoint
                                • GET
                                  Get a delivery
                                • POST
                                  Create a replay
                                • POST
                                  Create a ping
                                • POST
                                  Create a secret rotation

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Webhook endpoints
                              4. Get a webhook endpoint

                              Get a webhook endpoint

                              GET
                              /v1/webhook-endpoints/{endpointId}
                              curl -X GET 'https://api.embodiflow.io/v1/webhook-endpoints/{endpointId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • endpointIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • idstringrequired
                                • tenantIdstringrequired
                                • projectIdstring | nullrequired
                                • urlstringrequired
                                • descriptionstring | nullrequired
                                • eventTypesarray<string>required
                                • statusstringrequired
                                  Allowed values
                                  active
                                  disabled
                                  disabled_by_platform
                                • secretVersionnumberrequired
                                • previousSecretExpiresAtstring | nullrequired
                                • consecutiveFailureCountnumberrequired
                                • lastFailureAtstring | nullrequired
                                • lastSuccessAtstring | nullrequired
                                • disabledAtstring | nullrequired
                                • createdAtstringrequired
                                • updatedAtstringrequired
                              • metaobjectrequired
                                • requestIdstringrequired
                              Response example
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "url": "string",
                                  "description": "string",
                                  "eventTypes": "recording.processed",
                                  "status": "active",
                                  "secretVersion": 0,
                                  "previousSecretExpiresAt": "string",
                                  "consecutiveFailureCount": 0,
                                  "lastFailureAt": "string",
                                  "lastSuccessAt": "string",
                                  "disabledAt": "string",
                                  "createdAt": "string",
                                  "updatedAt": "string"
                                },
                                "meta": {
                                  "requestId": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              DELETE /webhook-endpoints/{endpointId}

                              Next

                              PATCH /webhook-endpoints/{endpointId}

                              curl -X GET 'https://api.embodiflow.io/v1/webhook-endpoints/{endpointId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "url": "string",
                                  "description": "string",
                                  "eventTypes": "recording.processed",
                                  "status": "active",
                                  "secretVersion": 0,
                                  "previousSecretExpiresAt": "string",
                                  "consecutiveFailureCount": 0,
                                  "lastFailureAt": "string",
                                  "lastSuccessAt": "string",
                                  "disabledAt": "string",
                                  "createdAt": "string",
                                  "updatedAt": "string"
                                },
                                "meta": {
                                  "requestId": "string"
                                }
                              }